Call the GET /api/v1/models endpoint to retrieve the list of available models on Model Studio. You can filter by model provider, modality type, model capability, and deployment mode, and get information such as pricing and context length.
Prerequisites
An API key has been created and configured as the environment variable DASHSCOPE_API_KEY. For more information, see Configure an API key in environment variables.
Request
HTTP method: GET
Request URL
Replace {WorkspaceId} with your workspace ID.
Region | Endpoint |
|---|---|
Singapore | |
China (Beijing) |
|
China (Hong Kong) | |
Germany (Frankfurt) |
|
Japan (Tokyo) |
|
US (Virginia) |
|
Authorization: Bearer {API_KEY} in the request header.
Request parameters
All parameters are passed via query string.name ·String · OptionalFuzzy search by model name. Example: qwenmodel · String · OptionalExact match by model ID. Example: qwen3.8-maxlanguage · String · OptionalLanguage of the response. Valid values: zh-CN (Chinese), en-US (English).page_no · Integer · OptionalPage number, starting from 1. Default value: 1.page_size · Integer · OptionalNumber of models per page. Default value: 20.providers · Array[String] · OptionalFilter by model provider. Valid values:providers values
providers values
qwen: Qwendeepseek: DeepSeekzhipu-ai: Zhipu AIwan: Wanmoonshot-ai: Moonshot AImini-max: MiniMaxkling: Kling AIvidu: Vidupixverse: PixVersexiaomi: Xiaomitripo: Tripohappyhorse: HappyHorseqwen-domain-model: Qwen Domain Model
providers=qwen&providers=deepseekArray[String] · OptionalFilter by inference provider. Valid values:inference_providers values
inference_providers values
aliyun-bailian: Alibaba Cloud Model Studioalibaba-cloud-modelstudio: Alibaba Cloud Model Studiosiliconflow: SiliconFlowmoonshot: Kimimini-max: MiniMaxkling: Kling AIvidu: Vidupixverse: PixVersevanchin: Kuaishou Wanqingxiaomi: Xiaomi MiMozhipu-ai: Zhipu AItripo: Tripo
Array[String] · OptionalFilter by modality type. Valid values:capabilities values
capabilities values
TG: Text GenerationReasoning: Advanced ReasoningVU: Visual UnderstandingIG: Image GenerationVG: Video GenerationASR: Speech RecognitionTTS: Text-to-SpeechTR: Text EmbeddingME: Multimodal EmbeddingMultimodal-Omni: OmniRealtime-Omni: Realtime OmniRealtime-Text-to-Speech: Realtime Text-to-SpeechRealtime-ASR: Realtime Speech RecognitionRealtime-Audio-Translate: Realtime Audio Translation3D-generation: 3D GenerationRealtime-Chatting: Realtime Voice Chat
capabilities=TG&capabilities=ReasoningTo specify multiple values, repeat the parameter name, for example, capabilities=TG&capabilities=Reasoning. This matches models that support either text generation or reasoning.Array[String] · OptionalFilter by model capability. Valid values:features values
features values
function-calling: Function Callingstructured-outputs: Structured Outputsweb-search: Web Searchprefix-completion: Prefix Completioncache: Context Cachingbatch: Batch Inferencefine-tuning: Fine-tuningmodel-experience: Model Playground
Integer · OptionalFilter by context length. Returns models with a context length strictly less than the specified value. Example: 20000.service_site · String · OptionalFilter by deployment mode. If not specified, models of all deployment modes are returned. Valid values:service_site values
service_site values
global: Globalinternational: International (excluding Chinese mainland)asia-pacific-china: Chinese mainlandcn-hongkong: China (Hong Kong)european-union: European Unionunited-states: United Statesjapan: Japan
Array[String] · OptionalFilter by supported use case. Default value: inference. Valid values:supports values
supports values
inference: Models that support inferencedeploy: Models that support deployment
Array[String] · OptionalFilter by deployment method. Valid values:deployment_methods values
deployment_methods values
ptu: Provisioned Throughput Unit
Array[String] · OptionalFilter by PTU type. You must also set deployment_methods to include ptu.Sample requests
- List all models
- Query a model by ID
- List all text generation models
- List Qwen reasoning models
page_no until all models counted by output.total have been retrieved.Models.list() method in the DashScope Python SDK only supports the page and page_size pagination parameters for querying models. It does not support filters such as capabilities, providers, or features. Use the HTTP API to filter models. The Python example retrieves the first page; increment page to retrieve subsequent pages.Response parameters
request_id ·StringRequest ID for troubleshooting.output.total · NumberTotal number of matching models.output.page_no · NumberCurrent page number.output.page_size · NumberNumber of items per page.output.models[]
output.models[]
StringModel ID, used to specify the model in API calls.name · StringDisplay name of the model.description · StringDescription of the model.provider · StringModel provider, such as qwen.inference_provider · StringInference provider, such as aliyun-bailian.capabilities · Array[String]Modality types supported by the model. Values are the same as the capabilities request parameter.features · Array[String]Capabilities supported by the model. Values are the same as the features request parameter.published_time · StringModel release time in yyyy-MM-dd HH:mm:ss format. Can be null.inference_metadata · ObjectInput and output modality information of the model. Contains the following fields:request_modality(Array[String]): Input modalities. Valid values:Text,Image,Audio,Video.response_modality(Array[String]): Output modalities. Same valid values as above.
ObjectContext length information of the model. A value of null indicates no limit or not applicable. Contains the following fields:context_window(Integer): Total context window lengthmax_input_tokens(Integer): Maximum input tokensmax_output_tokens(Integer): Maximum output tokensmax_reasoning_tokens(Integer): Maximum reasoning tokensreasoning_max_input_tokens(Integer): Maximum input tokens for reasoningreasoning_max_output_tokens(Integer): Maximum output tokens for reasoning
Array[Object]Pricing information. Each element contains:range_name(String): Tier name.Defaultif no tiered pricing, or a specific range (such as32k<Input<=128k).prices(Array[Object]): Price list. Each item containstype(billing item),price(unit price),price_unit(unit, such as "per million tokens"), andprice_name(price description, such as "Input").
StringThe corresponding snapshot model.inference_offline_info · ObjectInference offline information.inference_offline_info.$.offline_time · DateEstimated offline time.Sample response
The following example illustrates the response structure. Model information and prices are subject to the actual response.Error codes
If the call fails, an error message is returned. For more information about error codes and solutions, see Error messages.
Related documentation
- List model quotas
- Model list